Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags
Class ProcessTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--weblogicx.jsp.tags.ProcessTag

public class ProcessTag
extends javax.servlet.jsp.tagext.TagSupport

The process tag is used to declaratively process the results of form submissions. By specifying conditions based on the values of request parameters you can include or not include JSP on your page.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ProcessTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNotName()`
`java.lang.String` | `getNotValue()`
`java.lang.String` | `getValue()`
`void` | `release()`
`void` | `setName(java.lang.String name)` This is the name of the request parameter.
`void` | `setNotName(java.lang.String notName)` This is the name of the request parameter that must be present for the enclosed JSP to be included.
`void` | `setNotValue(java.lang.String notValue)` Only valid when name is set, this is the value that the name request parameter must not be equal to for this section of JSP to be included.
`void` | `setValue(java.lang.String value)` Only valid when name is set, this is the value that the name request parameter must be equal to for this section of JSP to be included.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessTag

    public ProcessTag()

Method Detail

### setName

    public void setName(java.lang.String name)

  This is the name of the request parameter. To which you may additionally specify value or notvalue. If "value" and "notvalue" are not set, the enclosed JSP is included if this request parameter is present.

### getName

    public java.lang.String getName()

### setNotName

    public void setNotName(java.lang.String notName)

  This is the name of the request parameter that must be present for the enclosed JSP to be included.

### getNotName

    public java.lang.String getNotName()

### setValue

    public void setValue(java.lang.String value)

  Only valid when name is set, this is the value that the name request parameter must be equal to for this section of JSP to be included.

### getValue

    public java.lang.String getValue()

### setNotValue

    public void setNotValue(java.lang.String notValue)

  Only valid when name is set, this is the value that the name request parameter must not be equal to for this section of JSP to be included.

### getNotValue

    public java.lang.String getNotValue()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD